Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.beans
Class AuditSpecificationDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.SystemObjectDefinition
              oracle.ifs.core.beans.AuditSpecificationDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AuditSpecificationDefinition

extends SystemObjectDefinition

An AuditSpecificationDefinition is used to create or modify an AuditSpecification instance.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`AuditSpecificationDefinition(LibrarySessionInterface session)` Constructs a definition explicitly capturing the session.
`AuditSpecificationDefinition(LibrarySessionInterface session, java.lang.String className)` Constructs a definition, explicitly capturing the session and setting the initial ClassObject.

Method Summary
`AuditHandlerSpecificationDefinition` | `getAuditHandlerSpecificationDefinition()` Gets the AuditHandlerSpecificationDefinition specifying the AuditHandlerSpecification for the AuditSpecification that is created or updated.
`AuditTargetSpecificationDefinition` | `getAuditTargetSpecificationDefinition()` Gets the AuditTargetSpecificationDefinition specifying the AuditTargetSpecification for the AuditSpecification that is created or updated.
`AuditTypeListDefinition` | `getAuditTypeListDefinition()` Gets the AuditTypeListDefinition specifying the AuditTypeList for the AuditSpecification that is created or updated.
`void` | `setAuditHandlerSpecificationDefinition(AuditHandlerSpecificationDefinition ahsDef)` Gets the AuditHandlerSpecificationDefinition specifying the AuditHandlerSpecification for the AuditSpecification that is created or updated.
`void` | `setAuditTargetSpecificationDefinition(AuditTargetSpecificationDefinition atsDef)` Gets the AuditTargetSpecificationDefinition specifying the AuditTargetSpecification for the AuditSpecification that is created or updated.
`void` | `setAuditTypeListDefinition(AuditTypeListDefinition atlDef)` Gets the AuditTypeListDefinition specifying the AuditTypeList for the AuditSpecification that is created or updated.
`static AuditSpecificationDefinition` | `toAuditSpecificationDefinition(LibraryObjectDefinition lodef)` Casts the specified LibraryObjectDefinition to an AuditSpecificationDefinition.
`static AuditSpecificationDefinition` | `toAuditSpecificationDefinition(LibraryObjectDefinition lodef, boolean enforceCompat)` Casts the specified LibraryObjectDefinition to an AuditSpecificationDefinition.

Methods inherited from class oracle.ifs.beans.SystemObjectDefinition
`addCategoryDefinition, addCategoryDefinitionForUpdate, addCategoryDefinitions, addCategoryForDelete, getCategoriesForDelete, getCategoryDefinitions, getCategoryDefinitionsForUpdate, getCreateCategoriesServerSideOption, removeCategoriesForDelete, removeCategoryDefinitions, removeCategoryDefinitionsForUpdate, setCategoryDefinitions, setCreateCategoriesServerSideOption, toSystemObjectDefinition, toSystemObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditSpecificationDefinition

    public AuditSpecificationDefinition(LibrarySessionInterface session)
                                 throws IfsException

  Constructs a definition explicitly capturing the session. The initial ClassObject is AuditSpecification.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AuditSpecificationDefinition

    public AuditSpecificationDefinition(LibrarySessionInterface session,
                                        java.lang.String className)
                                 throws IfsException

  Constructs a definition, explicitly capturing the session and setting the initial ClassObject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setAuditTypeListDefinition

    public void setAuditTypeListDefinition(AuditTypeListDefinition atlDef)
                                    throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Gets the AuditTypeListDefinition specifying the AuditTypeList for the AuditSpecification that is created or updated.

  Note: this takes precedence over an explicit AuditTypeList setting as an attribute.

  Parameters:
    `atlDef` - an AuditTypeListDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAuditTypeListDefinition

    public AuditTypeListDefinition getAuditTypeListDefinition()
                                                       throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Gets the AuditTypeListDefinition specifying the AuditTypeList for the AuditSpecification that is created or updated.

  Returns:
    the AuditTypeListDefinition set previously
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditHandlerSpecificationDefinition

    public void setAuditHandlerSpecificationDefinition(AuditHandlerSpecificationDefinition ahsDef)
                                                throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Gets the AuditHandlerSpecificationDefinition specifying the AuditHandlerSpecification for the AuditSpecification that is created or updated.

  Parameters:
    `ahsDef` - an AuditHandlerSpecificationDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAuditHandlerSpecificationDefinition

    public AuditHandlerSpecificationDefinition getAuditHandlerSpecificationDefinition()
                                                                               throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Gets the AuditHandlerSpecificationDefinition specifying the AuditHandlerSpecification for the AuditSpecification that is created or updated.

  Returns:
    the AuditHandlerSpecificationDefinition set previously
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setAuditTargetSpecificationDefinition

    public void setAuditTargetSpecificationDefinition(AuditTargetSpecificationDefinition atsDef)
                                               throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Gets the AuditTargetSpecificationDefinition specifying the AuditTargetSpecification for the AuditSpecification that is created or updated.

  Parameters:
    `atsDef` - an AuditTargetSpecificationDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getAuditTargetSpecificationDefinition

    public AuditTargetSpecificationDefinition getAuditTargetSpecificationDefinition()
                                                                             throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Gets the AuditTargetSpecificationDefinition specifying the AuditTargetSpecification for the AuditSpecification that is created or updated.

  Returns:
    the AuditTargetSpecificationDefinition set previously
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toAuditSpecificationDefinition

    public static AuditSpecificationDefinition toAuditSpecificationDefinition(LibraryObjectDefinition lodef)
                                                                       throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Casts the specified LibraryObjectDefinition to an AuditSpecificationDefinition.

  Returns null if the specified definition is not an AuditSpecificationDefinition, or if the specified definition is null.

  Parameters:
    `lodef` - the definition to be casted
  Returns:
    an AuditSpecificationDefinition casted from the specified definition
  Throws:
    `IfsException` - is not currently thrown.

### toAuditSpecificationDefinition

    public static AuditSpecificationDefinition toAuditSpecificationDefinition(LibraryObjectDefinition lodef,
                                                                              boolean enforceCompat)
                                                                       throws IfsException

  Description copied from class: `AuditSpecificationDefinition`
  Casts the specified LibraryObjectDefinition to an AuditSpecificationDefinition.

  Returns null if the specified definition is null. If non-null and unable to cast, returns null if enforceCompat is false but throw an IfsException if the specified definition is not a AuditSpecificationDefinition.

  Parameters:
    `lodef` - the definition to be casted
    `enforceCompat` - whether to throw an exception if a non-null definition cannot be cast
  Returns:
    an AuditSpecificationDefinition casted from the specified definition
  Throws:
    `IfsException` - 10822: if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD